> ## Documentation Index
> Fetch the complete documentation index at: https://docs.8dx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get api ordersbymaker

> GET active orders by maker



## OpenAPI

````yaml /openapi.yaml get /api/{blockchain}/orders/byMaker/{maker}
openapi: 3.1.0
info:
  title: swap-8dx
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://swap.ggp.gg
  - url: https://8dx.io
security: []
tags:
  - name: swap
    description: Swap API endpoints
  - name: approve
    description: Approve (Permit) API endpoints
  - name: explorer
    description: Explorer API endpoints
  - name: order
    description: Limit Order API endpoints
  - name: healthcheck
    description: Health Check API endpoints
paths:
  /api/{blockchain}/orders/byMaker/{maker}:
    get:
      tags:
        - order
      description: GET active orders by maker
      operationId: get_orders_by_maker
      parameters:
        - name: blockchain
          in: path
          required: true
          schema:
            type: string
            enum:
              - ethereum
              - bsc
              - arbitrum
        - name: maker
          in: path
          required: true
          schema:
            type: string
          example: '0x0000000000000000000000000000000000000000'
      responses:
        '200':
          description: Maker active orders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrdersByMakerResponse'
        '400':
          description: Bad request error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                BadRequest:
                  summary: Bad request
                  value:
                    code: 400
                    error: string
        '408':
          description: Request timeout error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                RequestTimeout:
                  summary: Request timeout
                  value:
                    code: 408
                    error: string
        '500':
          description: Internal server error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Internal:
                  summary: Internal
                  value:
                    code: 500
                    error: string
components:
  schemas:
    OrdersByMakerResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/OrderView'
    ErrorResponse:
      type: object
      required:
        - error
        - code
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        error:
          type: string
    OrderView:
      type: object
      required:
        - orderHash
        - maker
        - makerSrcOrToken
        - takerSrcOrToken
        - makerToken
        - takerToken
        - makingAmount
        - takingAmount
        - makerTraits
        - parsedMakerTraits
        - orderType
        - signature
        - salt
      properties:
        extension:
          type:
            - string
            - 'null'
          description: >-
            If extension exists then lowest 160 bits of the order salt must be
            equal to the lowest 160 bits of the extension hash
        maker:
          type: string
          description: Maker wallet or contract address
        makerSrcOrToken:
          type: string
          description: Address of the maker asset (ERC20 token contract)
        makerToken:
          type: string
          description: ERC20 token contract
        makerTraits:
          type: string
          description: Encoded maker traits represented as a 256-bit value
        makingAmount:
          type: string
          description: >-
            Amount of the maker token to swap (in token's smallest unit, e.g.,
            wei for ETH)
        orderHash:
          type: string
          description: Order hash (id in bytes32)
        orderType:
          $ref: '#/components/schemas/OrderType'
          description: Order type
        parsedMakerTraits:
          $ref: '#/components/schemas/ParsedMakerTraitsView'
          description: Parsed representation of maker traits with readable fields
        recipient:
          type:
            - string
            - 'null'
          description: Recipient address (maker or contract)
        salt:
          type: string
          description: >-
            Lowest 160 bits of the order salt must be equal to the lowest 160
            bits of the extension hash
        signature:
          type: string
          description: Signature of the limit order typed data (using signTypedData_v4)
        takerSrcOrToken:
          type: string
          description: Address of the taker asset (ERC20 token contract)
        takerToken:
          type: string
          description: ERC20 token contract
        takingAmount:
          type: string
          description: >-
            Amount of the taker token to receive (in token's smallest unit,
            e.g., wei for ETH)
    OrderType:
      type: string
      enum:
        - limit
        - twap
    ParsedMakerTraitsView:
      type: object
      required:
        - allowedSenderSuffix
        - expiration
        - nonceOrEpoch
        - series
        - allowPartialFills
        - allowMultipleFills
        - needPreInteractionCall
        - needPostInteractionCall
        - needCheckEpochManager
        - hasExtension
        - usePermit2
        - unwrapWeth
      properties:
        allowMultipleFills:
          type: boolean
        allowPartialFills:
          type: boolean
        allowedSenderSuffix:
          type: string
        expiration:
          type: integer
          format: int64
          minimum: 0
        hasExtension:
          type: boolean
        needCheckEpochManager:
          type: boolean
        needPostInteractionCall:
          type: boolean
        needPreInteractionCall:
          type: boolean
        nonceOrEpoch:
          type: integer
          format: int64
          minimum: 0
        series:
          type: integer
          format: int64
          minimum: 0
        unwrapWeth:
          type: boolean
        usePermit2:
          type: boolean

````